{% extends 'homepage/base.html' %} {% block content%}
  <!-- Translations -->
  {% load i18n %}


<div class="container">
    <h3>{% trans "Change password" %}</h3>
  
    <form class="form-horizontal" method="post">{% csrf_token %}
        {% if form.errors %}
        <p class="errornote">
            {% if form.errors.items|length == 1 %}
            {% trans "Please correct the following error" %}
            {% else %}
            {% trans "Please correct the following errors" %}
            {% endif %}
        </p>
        {% endif %}
        <p> 
            {% trans "Enter the old password, for security reasons, then the new password two times, to check that it was entered correctly." %}
        </p>
        
        <div class="form-row" id="error-user-old-password">
            <div class="form-group col-md">
                <span class="text-danger small">{{ form.old_password.errors }}</span>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="{{ form.old_password.id_for_label }}">{% trans "Old password" %}</label>
                {{ form.old_password }}
                {% if form.old_password.help_text %}
                <small class="text-muted">{{ form.old_password.help_text|safe }}</small>
                {% endif %}
            </div>
        </div>

        <div class="form-row" id="error-user-new-password1">
            <div class="form-group col-md">
                <span class="text-danger small">{{ form.new_password1.errors }}</span>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="{{ form.new_password1.id_for_label }}">{% trans "New password" %}</label>
                {{ form.new_password1 }}
                {% if form.new_password1.help_text %}
                    <small class="text-muted">{{ form.new_password1.help_text|safe }}</small>
                {% endif %}
            </div>
        </div>
        
        <div class="form-row" id="error-user-new-password2">
            <div class="form-group col-md">
                <span class="text-danger small">{{ form.new_password2.errors }}</span>
            </div>
        </div>
        
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="{{ form.new_password2.id_for_label }}">{% trans "Confirm new password" %}</label>
                {{ form.new_password2 }}
                {% if form.new_password2.help_text %}
                    <small class="text-muted">{{ form.new_password2.help_text|safe }}</small>
                {% endif %}
            </div>
        </div>

        <div class="submit-row">
            <input type="submit" value="change-password" class="default" />
        </div>

    </form>
</div>
{% endblock %}